#!/bin/bash

# Please note that this is an unsupported script;
# thus, the following disclaimer applies:
# Any assistance that IBM gives in issues regarding private scripting
# and/or modified scripts are not covered under the IBM - Licensee
# maintenance/support agreement.
# All suggestions IBM  provides should be tested on either a test server
# or a back-up database, and never in a production environment. IBM shall
# not be responsible for loss of data or down time through the interaction
# with these unsupported scripts.
# IBM's assistance is provided "AS IS," and IBM HEREBY DISCLAIMS ALL
# WARRANTIES, EXPRESS OR IMPLIED, INCLUDING ALL IMPLIED WARRANTIES OF
# SATISFACTORY QUALITY, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
# TITLE, AND NON-INFRINGEMENT.
# IN NO EVENT SHALL IBM BE LIABLE FOR ANY DAMAGES OR CONSEQUENCES ARISING
# FROM ITS ASSISTANCE EVEN IF IBM IS EXPRESSLY ADVISED OF THE POSSIBILITY
# OF SUCH DAMAGES.

# this script starts DWA -- run it as the DOORS user
# you need to have X set up -- the DOORS user should be able to successfully
# run xclock (or equivalent) BEFORE you run this script
# regarding logs ...
# the logs directory and the log file used in this script MUST ALREADY exist
# create the directory and use touch to create the log file before you run
# this script

INTEROP_DIR=/opt/IBM/doors93interop/DOORS
DWA_DIR=/opt/IBM/Rational/DOORS_Web_Access/1.4.0.0

DOORS_HOST="localhost"
DOORS_PORT=36677

BROKER_HOST="localhost"
BROKER_PORT=61616

# set this to a known good value for DISPLAY (needed to start DWA)
# this should match the second DISPLAY created by the DWA startup script
# called by root during bootup
export DISPLAY=":99"

# bail if DISPLAY is not set
MSG="DISPLAY is set to \"$DISPLAY\" (it must be set for DWA to start)."
echo $MSG > $DWA_DIR/logs/startDWA.log 2>&1
[ -z "$DISPLAY" ] && exit 1

# bail if xhost command failed
xhost >> $DWA_DIR/logs/startDWA.log 2>&1
if [ $? -gt 0 ]
then
	# this block executes if xhost returns non-zero status
	MSG="Cannot access X server (it must be accessible for DWA to start)."
	echo $MSG >> $DWA_DIR/logs/startDWA.log 2>&1
	exit 1
fi

echo "Starting the DWA broker ..." >> $DWA_DIR/logs/startDWA.log 2>&1 &
cd $DWA_DIR
./broker.start.sh >> $DWA_DIR/logs/startDWA.log 2>&1 &
sleep 30

echo "Starting the Interop server ..." >> $DWA_DIR/logs/startDWA.log 2>&1 &
REAL_DOORSHOME=$DOORSHOME
DOORSHOME=$INTEROP_DIR
cd $INTEROP_DIR/bin
./doors9 -interop -data $DOORS_PORT@$DOORS_HOST -brokerHost $BROKER_HOST -brokerPort $BROKER_PORT >> $DWA_DIR/logs/startDWA.log 2>&1 &
DOORSHOME=$REAL_DOORSHOME
sleep 30

echo "Starting the DWA server ..." >> $DWA_DIR/logs/startDWA.log 2>&1 &
cd $DWA_DIR
./server.start.sh >> $DWA_DIR/logs/startDWA.log 2>&1 &

exit 0
